org.apache.commons.io.output

## Class ClosedOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.commons.io.output.ClosedOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class ClosedOutputStream
    extends OutputStream

Closed output stream. This stream throws an exception on all attempts to write something to the stream.

Typically uses of this class include testing for corner cases in methods that accept an output stream and acting as a sentinel value instead of a `null` output stream.

Since:
  1.4

### Field Summary

Fields
`static ClosedOutputStream` `CLOSED_OUTPUT_STREAM` A singleton.

### Constructor Summary

Constructors
Constructor and Description
`ClosedOutputStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flush()` Throws an `IOException` to indicate that the stream is closed.
`void` `write(int b)` Throws an `IOException` to indicate that the stream is closed.

### Methods inherited from class java.io.OutputStream

`close, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLOSED_OUTPUT_STREAM

    public static final ClosedOutputStream CLOSED_OUTPUT_STREAM

A singleton.

### Constructor Detail

#### ClosedOutputStream

    public ClosedOutputStream()

### Method Detail

#### write

    public void write(int b)
               throws IOException

Throws an `IOException` to indicate that the stream is closed.

Specified by:
  `write` in class `OutputStream`
Parameters:
  `b` - ignored
Throws:
  `IOException` - always thrown

#### flush

    public void flush()
               throws IOException

Throws an `IOException` to indicate that the stream is closed.

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException` - always thrown